<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#

namespace Platiti\PtiUniNs\UniModul;

use Exception;

class Http {
	/**
	 * @param string $name
	 * @return string
	 */
	static function request($name) {
		if (isset($_REQUEST[$name]) && is_scalar($_REQUEST[$name])) {
			return strval($_REQUEST[$name]);
		} else {
			throw new Exception('Missing field "' .$name . '" in $_REQUEST');
		}
	}

	/**
	 * @param string $name
	 * @return string
	 */
	static function get($name) {
		if (isset($_GET[$name]) && is_scalar($_GET[$name])) {
			return strval($_GET[$name]);
		} else {
			throw new Exception('Missing field "' .$name . '" in $_GET');
		}
	}

	/**
	* @param string $name
	* @return string
	*/
   static function post($name) {
	   if (isset($_POST[$name]) && is_scalar($_POST[$name])) {
		   return strval($_POST[$name]);
	   } else {
		   throw new Exception('Missing field "' .$name . '" in $_POST');
	   }
   }

   	/**
	* @param string $name
	* @return array<int, string>
	*/
	static function postMulti($name) {
		if (!isset($_POST[$name])) {
			return [];
		} else if (is_array($_POST[$name])) {
			return $_POST[$name];
		} else if (is_scalar($_POST[$name])) {
			return [strval($_POST[$name])];
		} else {
			throw new Exception('Unexpected field "' .$name . '" type in $_POST');
		}
	}

	/**
	 * @param string $name
	 * @return scalar
	 */
	static function server($name) {
		if (isset($_SERVER[$name]) && is_scalar($_SERVER[$name])) {
			return $_SERVER[$name];
		} else {
			throw new Exception('Missing field "' .$name . '" in $_SERVER');
		}
	}
}